aboutsummaryrefslogtreecommitdiffstats
path: root/bin/darwin/cp
diff options
context:
space:
mode:
Diffstat (limited to 'bin/darwin/cp')
-rwxr-xr-xbin/darwin/cp29
1 files changed, 29 insertions, 0 deletions
diff --git a/bin/darwin/cp b/bin/darwin/cp
new file mode 100755
index 0000000000..0a523b7987
--- /dev/null
+++ b/bin/darwin/cp
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# - We do not allow -i due to the non-interactive nature of OE tasks
+# - We do not allow -r, as it has known problems, and is marked
+# obsolescent in the standard
+# - We allow -a as shorthand for -RpP
+# - Otherwise, we stick to what SuSv3 defines
+
+
+source $(dirname $0)/wrapper.sh
+
+saved=""
+while getopts fpaRHLP opt; do
+ case "$opt" in
+ a)
+ opt="RpP"
+ ;;
+ \?)
+ exit 1
+ ;;
+ esac
+ save "-$opt"
+done
+shift $(($OPTIND - 1))
+for arg; do
+ save "$arg"
+done
+
+exec_real